
package app.crossword.yourealwaysbe.forkyz.theme

import androidx.compose.ui.graphics.Color

// Standard

val primaryLight = Color(0xff425578)
val onPrimaryLight = Color(0xffffffff)
val primaryContainerLight = Color(0xffcee5ff)
val onPrimaryContainerLight = Color(0xff262626)
val secondaryLight = primaryLight
val onSecondaryLight = onPrimaryLight
val secondaryContainerLight = primaryContainerLight
val onSecondaryContainerLight = onPrimaryContainerLight
val tertiaryLight = secondaryLight
val onTertiaryLight = onSecondaryLight
val tertiaryContainerLight = secondaryContainerLight
val onTertiaryContainerLight = onSecondaryContainerLight
val errorLight = Color(0xffBA1A1A)
val errorContainerLight = Color(0xffFFDAD6)
val onErrorLight = Color(0xffFFFFFF)
val onErrorContainerLight = Color(0xff410002)
val backgroundLight = Color(0xffeaeaea)
val onBackgroundLight = Color(0xff262626)
val onBackgroundSecondaryLight = Color(0xff565656)
val surfaceLight = backgroundLight
val onSurfaceLight = onBackgroundLight
val surfaceVariantLight = Color(0xfffafafa)
val onSurfaceVariantLight = Color(0xff262626)
val outlineLight = Color(0xff72777F)
val inverseOnSurfaceLight = Color(0xffd9d9d9)
val inverseSurfaceLight = Color(0xff303030)
val inversePrimaryLight = Color(0xffbdaa87)
val surfaceTintLight = primaryLight

val surfaceContainerLowestLight = Color(0xffeaeaea)
val surfaceContainerLowLight = Color(0xffe1e2e4)
val surfaceContainerLight = Color(0xffdedfe1)
val surfaceContainerHighLight = Color(0xffdcdde0)
val surfaceContainerHighestLight = Color(0xffdadbdf)

val currentWordHighlightColorLight = Color(0xffFFAE57)
val currentLetterHighlightColorLight = Color(0xffEB6000)
val cheatedColorLight = Color(0xffFFE0E0)
val boardLetterColorLight = Color(0xff000000)
val boardNoteColorLight = Color(0x60000000)
val boardShapeColorLight = Color(0xffaaaaaa)
val blockShapeColorLight = Color(0xff555555)
val blockColorLight = Color(0xff000000)
val onBlockColorLight = Color(0xffffffff)
val errorColorLight = Color(0xffff0000)
val cellColorLight = Color(0xffffffff)
val flagColorLight = errorColorLight

val progressNullLight = Color(0xffb4b4b4)
val progressInProgressLight = Color(0xffd5a518)
val progressDoneLight = Color(0xff31915a)
val progressErrorLight = Color(0xffff4a4d)

// for legacy-like theme
val primaryDarkLight = Color(0xff334465)
val legacySurfaceContainerLowestLight = Color(0xffeaeaea)
val legacySurfaceContainerLowLight = Color(0xffeaeaea)
val legacySurfaceContainerLight = Color(0xffeaeaea)
val legacySurfaceContainerHighLight = Color(0xffeaeaea)
val legacySurfaceContainerHighestLight = Color(0xffeaeaea)

///////////////////////////////////////////////////////////
// copy of values-night/color.xml

val primaryDark = Color(0xffad5620)
val onPrimaryDark = Color(0xffdddddd)
val primaryContainerDark = Color(0xff4d3020)
val onPrimaryContainerDark = Color(0xffdddddd)
val secondaryDark = primaryDark
val onSecondaryDark = onPrimaryDark
val secondaryContainerDark = primaryContainerDark
val onSecondaryContainerDark = onPrimaryContainerDark
val tertiaryDark = secondaryDark
val onTertiaryDark = onSecondaryDark
val tertiaryContainerDark = secondaryContainerDark
val onTertiaryContainerDark = onSecondaryContainerDark
val errorDark = Color(0xffFFB4AB)
val errorContainerDark = Color(0xff93000A)
val onErrorDark = Color(0xff690005)
val onErrorContainerDark = Color(0xffFFDAD6)
val backgroundDark = Color(0xff222222)
val onBackgroundDark = Color(0xffbbbbbb)
val onBackgroundSecondaryDark = Color(0xff888888)
val surfaceDark = backgroundDark
val onSurfaceDark = onBackgroundDark
val surfaceVariantDark = Color(0xff333333)
val onSurfaceVariantDark = Color(0xffbbbbbb)
val outlineDark = Color(0xff8C9199)
val inverseOnSurfaceDark = Color(0xff444444)
val inverseSurfaceDark = Color(0xffdddddd)
val inversePrimaryDark = Color(0xff52a9df)
val surfaceTintDark = Color(0xff999999)

val surfaceContainerLowestDark = Color(0xff222222)
val surfaceContainerLowDark = Color(0xff282828)
val surfaceContainerDark = Color(0xff2a2a2a)
val surfaceContainerHighDark = Color(0xff2b2b2b)
val surfaceContainerHighestDark = Color(0xff2d2d2d)

// Green Theme
// by https://material-foundation.github.io/material-theme-builder/

val primaryGreenLight = Color(0xFF4C662B)
val onPrimaryGreenLight = Color(0xFFFFFFFF)
val primaryContainerGreenLight = Color(0xFFCDEDA3)
val onPrimaryContainerGreenLight = Color(0xFF354E16)
val secondaryGreenLight = Color(0xFF586249)
val onSecondaryGreenLight = Color(0xFFFFFFFF)
val secondaryContainerGreenLight = Color(0xFFDCE7C8)
val onSecondaryContainerGreenLight = Color(0xFF404A33)
val tertiaryGreenLight = Color(0xFF386663)
val onTertiaryGreenLight = Color(0xFFFFFFFF)
val tertiaryContainerGreenLight = Color(0xFFBCECE7)
val onTertiaryContainerGreenLight = Color(0xFF1F4E4B)
val errorGreenLight = Color(0xFFBA1A1A)
val onErrorGreenLight = Color(0xFFFFFFFF)
val errorContainerGreenLight = Color(0xFFFFDAD6)
val onErrorContainerGreenLight = Color(0xFF93000A)
val backgroundGreenLight = Color(0xFFF9FAEF)
val onBackgroundGreenLight = Color(0xFF1A1C16)
val surfaceGreenLight = Color(0xFFF9FAEF)
val onSurfaceGreenLight = Color(0xFF1A1C16)
val surfaceVariantGreenLight = Color(0xFFE1E4D5)
val onSurfaceVariantGreenLight = Color(0xFF44483D)
val outlineGreenLight = Color(0xFF75796C)
val outlineVariantGreenLight = Color(0xFFC5C8BA)
val scrimGreenLight = Color(0xFF000000)
val inverseSurfaceGreenLight = Color(0xFF2F312A)
val inverseOnSurfaceGreenLight = Color(0xFFF1F2E6)
val inversePrimaryGreenLight = Color(0xFFB1D18A)
val surfaceDimGreenLight = Color(0xFFDADBD0)
val surfaceBrightGreenLight = Color(0xFFF9FAEF)
val surfaceContainerLowestGreenLight = Color(0xFFFFFFFF)
val surfaceContainerLowGreenLight = Color(0xFFF3F4E9)
val surfaceContainerGreenLight = Color(0xFFEEEFE3)
val surfaceContainerHighGreenLight = Color(0xFFE8E9DE)
val surfaceContainerHighestGreenLight = Color(0xFFE2E3D8)

val primaryGreenDark = Color(0xFFB1D18A)
val onPrimaryGreenDark = Color(0xFF1F3701)
val primaryContainerGreenDark = Color(0xFF354E16)
val onPrimaryContainerGreenDark = Color(0xFFCDEDA3)
val secondaryGreenDark = Color(0xFFBFCBAD)
val onSecondaryGreenDark = Color(0xFF2A331E)
val secondaryContainerGreenDark = Color(0xFF404A33)
val onSecondaryContainerGreenDark = Color(0xFFDCE7C8)
val tertiaryGreenDark = Color(0xFFA0D0CB)
val onTertiaryGreenDark = Color(0xFF003735)
val tertiaryContainerGreenDark = Color(0xFF1F4E4B)
val onTertiaryContainerGreenDark = Color(0xFFBCECE7)
val errorGreenDark = Color(0xFFFFB4AB)
val onErrorGreenDark = Color(0xFF690005)
val errorContainerGreenDark = Color(0xFF93000A)
val onErrorContainerGreenDark = Color(0xFFFFDAD6)
val backgroundGreenDark = Color(0xFF12140E)
val onBackgroundGreenDark = Color(0xFFE2E3D8)
val surfaceGreenDark = Color(0xFF12140E)
val onSurfaceGreenDark = Color(0xFFE2E3D8)
val surfaceVariantGreenDark = Color(0xFF44483D)
val onSurfaceVariantGreenDark = Color(0xFFC5C8BA)
val outlineGreenDark = Color(0xFF8F9285)
val outlineVariantGreenDark = Color(0xFF44483D)
val scrimGreenDark = Color(0xFF000000)
val inverseSurfaceGreenDark = Color(0xFFE2E3D8)
val inverseOnSurfaceGreenDark = Color(0xFF2F312A)
val inversePrimaryGreenDark = Color(0xFF4C662B)
val surfaceDimGreenDark = Color(0xFF12140E)
val surfaceBrightGreenDark = Color(0xFF383A32)
val surfaceContainerLowestGreenDark = Color(0xFF0C0F09)
val surfaceContainerLowGreenDark = Color(0xFF1A1C16)
val surfaceContainerGreenDark = Color(0xFF1E201A)
val surfaceContainerHighGreenDark = Color(0xFF282B24)
val surfaceContainerHighestGreenDark = Color(0xFF33362E)

// Blue
// by https://material-foundation.github.io/material-theme-builder/

val primaryBlueLight = Color(0xFF4D5C92)
val onPrimaryBlueLight = Color(0xFFFFFFFF)
val primaryContainerBlueLight = Color(0xFFDCE1FF)
val onPrimaryContainerBlueLight = Color(0xFF354479)
val secondaryBlueLight = Color(0xFF595D72)
val onSecondaryBlueLight = Color(0xFFFFFFFF)
val secondaryContainerBlueLight = Color(0xFFDEE1F9)
val onSecondaryContainerBlueLight = Color(0xFF424659)
val tertiaryBlueLight = Color(0xFF75546F)
val onTertiaryBlueLight = Color(0xFFFFFFFF)
val tertiaryContainerBlueLight = Color(0xFFFFD7F5)
val onTertiaryContainerBlueLight = Color(0xFF5B3D57)
val errorBlueLight = Color(0xFFBA1A1A)
val onErrorBlueLight = Color(0xFFFFFFFF)
val errorContainerBlueLight = Color(0xFFFFDAD6)
val onErrorContainerBlueLight = Color(0xFF93000A)
val backgroundBlueLight = Color(0xFFFAF8FF)
val onBackgroundBlueLight = Color(0xFF1A1B21)
val surfaceBlueLight = Color(0xFFFAF8FF)
val onSurfaceBlueLight = Color(0xFF1A1B21)
val surfaceVariantBlueLight = Color(0xFFE2E1EC)
val onSurfaceVariantBlueLight = Color(0xFF45464F)
val outlineBlueLight = Color(0xFF767680)
val outlineVariantBlueLight = Color(0xFFC6C5D0)
val scrimBlueLight = Color(0xFF000000)
val inverseSurfaceBlueLight = Color(0xFF2F3036)
val inverseOnSurfaceBlueLight = Color(0xFFF1F0F7)
val inversePrimaryBlueLight = Color(0xFFB6C4FF)
val surfaceDimBlueLight = Color(0xFFDAD9E0)
val surfaceBrightBlueLight = Color(0xFFFAF8FF)
val surfaceContainerLowestBlueLight = Color(0xFFFFFFFF)
val surfaceContainerLowBlueLight = Color(0xFFF4F3FA)
val surfaceContainerBlueLight = Color(0xFFEFEDF4)
val surfaceContainerHighBlueLight = Color(0xFFE9E7EF)
val surfaceContainerHighestBlueLight = Color(0xFFE3E1E9)

val primaryBlueDark = Color(0xFFB6C4FF)
val onPrimaryBlueDark = Color(0xFF1E2D61)
val primaryContainerBlueDark = Color(0xFF354479)
val onPrimaryContainerBlueDark = Color(0xFFDCE1FF)
val secondaryBlueDark = Color(0xFFC2C5DD)
val onSecondaryBlueDark = Color(0xFF2B3042)
val secondaryContainerBlueDark = Color(0xFF424659)
val onSecondaryContainerBlueDark = Color(0xFFDEE1F9)
val tertiaryBlueDark = Color(0xFFE3BADA)
val onTertiaryBlueDark = Color(0xFF43273F)
val tertiaryContainerBlueDark = Color(0xFF5B3D57)
val onTertiaryContainerBlueDark = Color(0xFFFFD7F5)
val errorBlueDark = Color(0xFFFFB4AB)
val onErrorBlueDark = Color(0xFF690005)
val errorContainerBlueDark = Color(0xFF93000A)
val onErrorContainerBlueDark = Color(0xFFFFDAD6)
val backgroundBlueDark = Color(0xFF121318)
val onBackgroundBlueDark = Color(0xFFE3E1E9)
val surfaceBlueDark = Color(0xFF121318)
val onSurfaceBlueDark = Color(0xFFE3E1E9)
val surfaceVariantBlueDark = Color(0xFF45464F)
val onSurfaceVariantBlueDark = Color(0xFFC6C5D0)
val outlineBlueDark = Color(0xFF90909A)
val outlineVariantBlueDark = Color(0xFF45464F)
val scrimBlueDark = Color(0xFF000000)
val inverseSurfaceBlueDark = Color(0xFFE3E1E9)
val inverseOnSurfaceBlueDark = Color(0xFF2F3036)
val inversePrimaryBlueDark = Color(0xFF4D5C92)
val surfaceDimBlueDark = Color(0xFF121318)
val surfaceBrightBlueDark = Color(0xFF38393F)
val surfaceContainerLowestBlueDark = Color(0xFF0D0E13)
val surfaceContainerLowBlueDark = Color(0xFF1A1B21)
val surfaceContainerBlueDark = Color(0xFF1E1F25)
val surfaceContainerHighBlueDark = Color(0xFF292A2F)
val surfaceContainerHighestBlueDark = Color(0xFF34343A)

// Orange
// by https://material-foundation.github.io/material-theme-builder/

val primaryOrangeLight = Color(0xFF8E4D30)
val onPrimaryOrangeLight = Color(0xFFFFFFFF)
val primaryContainerOrangeLight = Color(0xFFFFDBCD)
val onPrimaryContainerOrangeLight = Color(0xFF71361B)
val secondaryOrangeLight = Color(0xFF77574B)
val onSecondaryOrangeLight = Color(0xFFFFFFFF)
val secondaryContainerOrangeLight = Color(0xFFFFDBCD)
val onSecondaryContainerOrangeLight = Color(0xFF5D4034)
val tertiaryOrangeLight = Color(0xFF675F30)
val onTertiaryOrangeLight = Color(0xFFFFFFFF)
val tertiaryContainerOrangeLight = Color(0xFFF0E3A8)
val onTertiaryContainerOrangeLight = Color(0xFF4F471B)
val errorOrangeLight = Color(0xFFBA1A1A)
val onErrorOrangeLight = Color(0xFFFFFFFF)
val errorContainerOrangeLight = Color(0xFFFFDAD6)
val onErrorContainerOrangeLight = Color(0xFF93000A)
val backgroundOrangeLight = Color(0xFFFFF8F6)
val onBackgroundOrangeLight = Color(0xFF231A16)
val surfaceOrangeLight = Color(0xFFFFF8F6)
val onSurfaceOrangeLight = Color(0xFF231A16)
val surfaceVariantOrangeLight = Color(0xFFF5DED6)
val onSurfaceVariantOrangeLight = Color(0xFF53433E)
val outlineOrangeLight = Color(0xFF85736D)
val outlineVariantOrangeLight = Color(0xFFD8C2BA)
val scrimOrangeLight = Color(0xFF000000)
val inverseSurfaceOrangeLight = Color(0xFF382E2A)
val inverseOnSurfaceOrangeLight = Color(0xFFFFEDE7)
val inversePrimaryOrangeLight = Color(0xFFFFB597)
val surfaceDimOrangeLight = Color(0xFFE8D6D0)
val surfaceBrightOrangeLight = Color(0xFFFFF8F6)
val surfaceContainerLowestOrangeLight = Color(0xFFFFFFFF)
val surfaceContainerLowOrangeLight = Color(0xFFFFF1EC)
val surfaceContainerOrangeLight = Color(0xFFFCEAE4)
val surfaceContainerHighOrangeLight = Color(0xFFF6E4DE)
val surfaceContainerHighestOrangeLight = Color(0xFFF1DFD9)

val primaryOrangeDark = Color(0xFFFFB597)
val onPrimaryOrangeDark = Color(0xFF552107)
val primaryContainerOrangeDark = Color(0xFF71361B)
val onPrimaryContainerOrangeDark = Color(0xFFFFDBCD)
val secondaryOrangeDark = Color(0xFFE7BEAE)
val onSecondaryOrangeDark = Color(0xFF442A1F)
val secondaryContainerOrangeDark = Color(0xFF5D4034)
val onSecondaryContainerOrangeDark = Color(0xFFFFDBCD)
val tertiaryOrangeDark = Color(0xFFD3C78F)
val onTertiaryOrangeDark = Color(0xFF373106)
val tertiaryContainerOrangeDark = Color(0xFF4F471B)
val onTertiaryContainerOrangeDark = Color(0xFFF0E3A8)
val errorOrangeDark = Color(0xFFFFB4AB)
val onErrorOrangeDark = Color(0xFF690005)
val errorContainerOrangeDark = Color(0xFF93000A)
val onErrorContainerOrangeDark = Color(0xFFFFDAD6)
val backgroundOrangeDark = Color(0xFF1A110E)
val onBackgroundOrangeDark = Color(0xFFF1DFD9)
val surfaceOrangeDark = Color(0xFF1A110E)
val onSurfaceOrangeDark = Color(0xFFF1DFD9)
val surfaceVariantOrangeDark = Color(0xFF53433E)
val onSurfaceVariantOrangeDark = Color(0xFFD8C2BA)
val outlineOrangeDark = Color(0xFFA08D86)
val outlineVariantOrangeDark = Color(0xFF53433E)
val scrimOrangeDark = Color(0xFF000000)
val inverseSurfaceOrangeDark = Color(0xFFF1DFD9)
val inverseOnSurfaceOrangeDark = Color(0xFF382E2A)
val inversePrimaryOrangeDark = Color(0xFF8E4D30)
val surfaceDimOrangeDark = Color(0xFF1A110E)
val surfaceBrightOrangeDark = Color(0xFF423733)
val surfaceContainerLowestOrangeDark = Color(0xFF140C09)
val surfaceContainerLowOrangeDark = Color(0xFF231A16)
val surfaceContainerOrangeDark = Color(0xFF271E1A)
val surfaceContainerHighOrangeDark = Color(0xFF322824)
val surfaceContainerHighestOrangeDark = Color(0xFF3D322E)

// Board colors

val cellColorDark = Color(0xff333333)
val blockColorDark = Color(0xff000000)
val onBlockColorDark = Color(0xffaaaaaa)
val errorColorDark = Color(0xffff0000)
val currentWordHighlightColorDark = Color(0xff743513)
val currentLetterHighlightColorDark = Color(0xffad5620)
val cheatedColorDark = Color(0xff553333)
val boardLetterColorDark = Color(0xffaaaaaa)
val boardNoteColorDark = Color(0x80aaaaaa)
val boardShapeColorDark = Color(0xff555555)
val blockShapeColorDark = Color(0xff444444)
val flagColorDark = Color(0xff34bee7)

val progressNullDark = Color(0xffb4b4b4)
val progressInProgressDark = Color(0xffd5a518)
val progressDoneDark = Color(0xff31915a)
val progressErrorDark = Color(0xffff4a4d)

// for legacy-like theme
val primaryDarkDark = Color(0xff000000)

// general flag colors
val flagColor1 = Color(0xff15c71d)
val flagColor2 = Color(0xffe100d6)
val flagColor3 = Color(0xffd5c500)
val flagColor4 = Color(0xffbbbbbb)
